Bug 3966 - /var/state directory missing
/var/state directory missing
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: filesystem (Show other bugs)
6.0
All Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-09 12:09 EDT by dharris
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-23 12:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dharris 1999-07-09 12:09:43 EDT
I'm building an application, and I'm trying to figure out
where to place my state information (i.e. information that
preserves the condition of the application between
invocations or instances) using the Filesystem Hierarchy
Standard document at:
http://www.pathname.com/fhs/2.0/fhs-toc.html

Well, they recommend that I create an application specific
directory inside of /var/state for my state information.
However, the /var/state directory is not in the filesystem
package. Previously, I had been creating application-
specific directories in the /var directory for my state
info, but the Filesystem Hierarchy Document recommends
against this. See:
http://www.pathname.com/fhs/2.0/fhs-5.11.html
http://www.pathname.com/fhs/2.0/fhs-5.html (paragraph five)

Seems to me you should add the /var/state and
/var/state/misc directories to comply with the Filesystem
Hierarchy Standard in this area. I believe that Red Hat
tries to comply with this standard.
Comment 1 Preston Brown 1999-08-23 12:11:59 EDT
this will be fixed in filesystem 1.3.5, available in the next release.

Note You need to log in before you can comment on or make changes to this bug.